View Issue Details

IDProjectCategoryView StatusLast Update
0003060unrealircdpublic2007-05-01 02:30
ReporterRobby22Assigned Tostskeeps 
PrioritynormalSeveritytweakReproducibilityN/A
Status resolvedResolutionfixed 
Platformi686OSFedora CoreOS Version5
Product Version3.2.5 
Target VersionFixed in Version3.3-alpha0 
Summary0003060: Remote rehashing -ssl / -garbage is not Global'd
DescriptionRemote rehashing a server using /REHASH <server> -ssl or -garbage is not Global'd. The garbage thing is maybe not that important to global, but I think SSL is... :)

Also, the -ssl option is not yet listed in /HELPOP ?REHASH
Steps To Reproduce/REHASH <server> -ssl / -garbage
TagsNo tags attached.
3rd party modules

Activities

Stealth

2006-09-11 23:58

reporter   ~0012386

What does /rehash -ssl do?

Bock

2006-09-12 06:32

reporter   ~0012388

taken from Changes via CVS:
- The server SSL certificate and private key can now be reloaded without requiring a server restart, simply use: /REHASH -ssl
:]

djGrrr

2007-01-10 04:53

reporter   ~0013045

-dns is also not globaled

stskeeps

2007-04-24 05:57

reporter   ~0013659

Is any of this still valid?

Robby22

2007-04-25 01:55

reporter   ~0013673

Yup, certainly for 3.2, which it was reported for ;) (but will probably not see any fix in that branch)
I doubt it's fixed for 3.3, unless it was done silently with no entry in the changelog... but I haven't tested it on 3.3 yet, so I can't tell for sure.

WolfSage

2007-04-26 21:42

reporter   ~0013747

Last edited: 2007-04-29 11:56

It's not fixed, but I shall patch it this week. I've looked, it's simple enough ;)

Edit: s/weekend/week/

2007-04-30 16:37

 

s_serv_2.patch (1,559 bytes)

WolfSage

2007-04-30 16:37

reporter   ~0013955

Now globals -dns, -ssl, and -garb, plus bug fix to previous patch (woops)

stskeeps

2007-05-01 02:30

reporter   ~0013966

Patched in .2384

Issue History

Date Modified Username Field Change
2006-09-11 20:45 Robby22 New Issue
2006-09-11 23:58 Stealth Note Added: 0012386
2006-09-12 06:32 Bock Note Added: 0012388
2007-01-10 04:53 djGrrr Note Added: 0013045
2007-04-19 03:20 stskeeps Status new => acknowledged
2007-04-24 05:57 stskeeps Note Added: 0013659
2007-04-25 01:55 Robby22 Note Added: 0013673
2007-04-26 21:42 WolfSage Note Added: 0013747
2007-04-27 02:29 stskeeps Status acknowledged => confirmed
2007-04-29 11:56 WolfSage Note Edited: 0013747
2007-04-30 16:37 WolfSage File Added: s_serv_2.patch
2007-04-30 16:37 WolfSage Note Added: 0013955
2007-05-01 02:30 stskeeps Status confirmed => resolved
2007-05-01 02:30 stskeeps Fixed in Version => 3.3-alpha0
2007-05-01 02:30 stskeeps Resolution open => fixed
2007-05-01 02:30 stskeeps Assigned To => stskeeps
2007-05-01 02:30 stskeeps Note Added: 0013966